curl --request GET \
--url https://getunblocked.com/api/v1/audit-logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://getunblocked.com/api/v1/audit-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://getunblocked.com/api/v1/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://getunblocked.com/api/v1/audit-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://getunblocked.com/api/v1/audit-logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://getunblocked.com/api/v1/audit-logs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://getunblocked.com/api/v1/audit-logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2026-10-03T16:03:21Z",
"eventType": "DataSourceAdded",
"actor": {
"type": "Person",
"name": "Jane Smith",
"email": "jsmith@example.com",
"provider": "GitHub"
},
"action": [
"Added GitHub as a data source"
],
"provider": "GitHub",
"dataSource": {
"name": "GitHub"
},
"userAgent": "Mozilla/5.0",
"client": "Dashboard"
}
]{
"message": "<string>",
"documentationUrl": "<string>"
}List Audit Logs
List audit logs for the authenticated team in ascending creation order.
Use since to start at an inclusive date-time or after to continue from a
previous page. Supplying both parameters returns HTTP 400.
Each page with audit logs includes a next link, even if the page is not
full. Follow that link until the response is empty. Then stop and retry
the same URL when you poll again. Cursors use stable keyset pagination
and never expire.
Authentication behavior:
- Personal Access Token (PAT) keys: Team admins can export all audit logs for their team; non-admin members receive 403 Forbidden.
- Team-wide API keys: All audit logs for the team are returned.
curl --request GET \
--url https://getunblocked.com/api/v1/audit-logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://getunblocked.com/api/v1/audit-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://getunblocked.com/api/v1/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://getunblocked.com/api/v1/audit-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://getunblocked.com/api/v1/audit-logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://getunblocked.com/api/v1/audit-logs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://getunblocked.com/api/v1/audit-logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2026-10-03T16:03:21Z",
"eventType": "DataSourceAdded",
"actor": {
"type": "Person",
"name": "Jane Smith",
"email": "jsmith@example.com",
"provider": "GitHub"
},
"action": [
"Added GitHub as a data source"
],
"provider": "GitHub",
"dataSource": {
"name": "GitHub"
},
"userAgent": "Mozilla/5.0",
"client": "Dashboard"
}
]{
"message": "<string>",
"documentationUrl": "<string>"
}Authorizations
Query Parameters
Limit used to constrain results of list operations. When not specified a default limit of 100 is used.
A maximum limit is applied to the results, so the server may respond with fewer results than requested; clients must not use this as a signal that this is the final page of results.
1 <= x <= 200Opaque cursor for continuing after a previous page. Follow the URL marked rel="next"
in the Link response header to obtain it; do not construct or parse the cursor.
Opaque cursor to be used for paging in a forward or backward direction. Cursors are stateless and so they never expire.
1 - 10000Response
OK